/*
 *  br_callbacks.c
 *
 *  Callback-Definitionen fuer browser.fd/browser.c
 *
 *  (C) 10/1996 Tilman Kuepper (tilman@tilli.tng.oche.de)
 */


#include "forms.h"
#include "stopwatch.h"


/* RCS-Infos */
/*
  static char RCSdat[]="$Date: 1996/10/16 16:42:32 $";
  static char RCSrev[]="$Revision: 2.5 $"; 
  static char RCSsta[]="$State: Rel $";
  */


#include "forms.h"
#include "browser.h"


/* callbacks for form f_browser */
void cb_clear(FL_OBJECT *ob, long data)
{
    /* CLEAR-Knopf gedrueckt */
    FD_f_browser *fdb=ob->u_vdata; /* Browser-Form ermitteln */
    
    /* PRINT-Knopf im Browser deaktivieren */
    fl_deactivate_object(fdb->b_print);
    fl_set_object_lcol(fdb->b_print,FL_INACTIVE_COL);            
    
    /* Liste loeschen */
    fl_clear_browser(fdb->br_list);
}


void cb_print(FL_OBJECT *ob, long data)
{
    /* PRINT-Knopf gedrueckt */
    int i,num;
    FD_f_browser *fdb=ob->u_vdata; /* Browser-Form ermitteln */
    
    /* Browser zeilenweise auslesen und auf stdout ausgeben */
    num=fl_get_browser_maxline(fdb->br_list);
    for(i=1;i<=num;i++)
    {
        printf("%s\n",fl_get_browser_line(fdb->br_list,i));
    }
    printf("\n"); /* Leerzeile ans Ende */
}


void cb_hide(FL_OBJECT *ob, long data)
{
    /* HIDE-Knopf gedrueckt */
    FD_f_browser *fdb=ob->u_vdata; /* Browser-Form ermitteln */
    
    /* Form verstecken */
    fl_hide_form(fdb->f_browser);
}
